//alert('hola');
		/*******Variables Globales*****/
		var tirada=1;//numero de tirada actual
		var correctas=0; //numero de operaciones correctas resueltas
		var dificultad=1;//1 principante 2 facil 3 intermedio 4 experto
		var numTiradas=5;//numero total de tiradas
		var resultado=0;// resultado de la operacion
		var tipo_numeros=0;//0 imagenes 1 numeros
		//var estado_juego=0;//estado 0 juego parado, estado 1 juego en funcionamiento--NO SE USA
		var tipooperador=0;//0 sumas 1 restas 2 ambas		
		
		//suma actual
		var operando1=0;
		var operando2=0;
		var operador=0;
		/******************************/


window.onload = prepareButton;
 
function prepareButton()
{

    $("respuesta").className="oculto";//oculta la respuesta

    /*comportamiento de los botones*/
	$("ir_menu").onclick=function(){
		window.location.href="../menu.html";
	}
	$("boton_start").onclick=function(){
		iniciar();
	}
	$("tipo_imagenes").onclick=function(){
		tipo_numeros=0;
		if (dificultad>2){dificultad=2;}
		iniciar();
	}
	$("tipo_numeros").onclick=function(){
		tipo_numeros=1;
		iniciar();
	}
	$("tipo_suma").onclick=function(){
		tipooperador=0;
		iniciar();
	}
	$("tipo_resta").onclick=function(){
		tipooperador=1;
		iniciar();
	}
	$("tipo_sumres").onclick=function(){
		tipooperador=2;
		iniciar();
	}
	$("ir_principiante").onclick=function(){
		dificultad=1;
		numTiradas=5;
		iniciar();
	}
	$("ir_facil").onclick=function(){
	    dificultad=2;
		numTiradas=10;
		iniciar();
	}
	$("ir_intermedio").onclick=function(){
	    dificultad=3;
		numTiradas=15;
		tipo_numeros=1;
		iniciar();
	}
	$("ir_experto").onclick=function(){
		dificultad=4;
		numTiradas=15;
		tipo_numeros=1;
		iniciar();
	}
	$("siguiente").onclick=function(){
		if($("box_respuesta").value!=''){
			//ocultar box de respuesta
			$("respuesta").className="oculto";
			//comprobar resultado
			if (comprueba_resultado(operando1,operando2,operador,$("box_respuesta").value)==0){
			//respuesta correcta
			imprime('CORRECTO!!<br><br>Quedan<br>' +(numTiradas-tirada+1) + ' Operaciones<br><iframe width="250px" height="250px" id="ifrad" src="http://firefoxosworld.net/firefoxosworld3.html" scrolling="no"></iframe><br><br>');
			correctas++;
			}else{
			//respuesta incorrecta
			imprime('INCORRECTO!!<br><br>Quedan<br>' +(numTiradas-tirada+1) + ' Operaciones<br><iframe width="250px" height="250px" id="ifrad" src="http://firefoxosworld.net/firefoxosworld3.html" scrolling="no"></iframe><br><br>');
			}
			//borra box_respues
			$("box_respuesta").value='';
			//comprueba_fin despues de unos segundos
			window.setTimeout(comprueba_fin,2000);
		}
	}
}

function comprueba_resultado(op1,op2,operacion,sol){
	//operacion:0=suma, 1=resta
	//sol es lo introducido
	//devuelve 0 ok, 1 nok
	var resultado=0;
	if (operacion==0){
		resultado=op1+op2;
	}
	else{
		resultado=op1-op2;
	}
	//alert(op1+' ' +op2+' ' +operacion+' '+sol+' ' +resultado);
	if (sol==resultado) return(0)
	else return(1);	
}

function imprime_dificultad(){
	switch (dificultad){
		case 1: 
			frase='Nivel Principiante';
			break;
		case 2:
			frase='Nivel Fácil';
			break;
		case 3:
			frase='Nivel Medio';
			break;
		case 4:
			frase='Nivel Experto';
			break;
	}
	frase=frase + '<br><br>';
	switch (tipooperador){
		case 0: 
			frase+='Sólo Sumas';
			break;
		case 1:
			frase+='Sólo Restas';
			break;
		case 2:
			frase+='Sumas y Restas';
			break;
	}
	frase+='<br><br>'+ numTiradas + ' Operaciones Restantes<br><br>';
    if (tipo_numeros==0){
		frase+='Modo Imágenes';
	}else{
		frase+='Modo Números';
	}
	frase+='<br><br><iframe width="250px" height="250px" id="ifrad" src="http://firefoxosworld.net/firefoxosworld3.html" scrolling="no"></iframe><br><br>';
	printID('salida_juego',frase);
}
function iniciar2(){
		estado_juego=1;
		tirada=1;
		correctas=0;
		//banderas[2]=1;//mostramos respuesta
		$("respuesta").className="visible_trans";
		comprueba_fin();
			
}
function comprueba_fin(){
	//hasta que el juego acabe se ejecuta esto
	//si no fin imprimir operacion y comprobar resultado
	if (tirada>numTiradas){
		incorrectas=numTiradas-correctas;
		//si fin mostrar boton de volver a empezar y resultado
		final();		
	}else{
		operacion();
		//alert(operando1+' '+operador+' ' +operando2);
		imprimeOperacion(operando1,operando2,tipo_numeros);
		tirada++;
	}		
}
function final(){
	incorrectas=numTiradas-correctas;
	if (incorrectas > correctas) frase='Debes Practicar un Poco Más';
	else{
		var porcentaje=(Math.round((correctas*100)/(correctas + incorrectas)));
		if (porcentaje > 90) frase='¡¡¡Eres un Genio!!! ¡¡Aumenta la dificultad del Juego desde el Menú...!!';
		else if (porcentaje >=80) frase='¡¡Lo hiciste Genial, sigue así!!';
		else if (porcentaje >=65) frase='¡¡Bien Hecho, Sigue Practicando!!';
		else if (porcentaje >=50) frase='¡¡Bien!!, ¡¡Vas por el buen Camino!!';
	}
	//ocultar respuesta
	$("respuesta").className="oculto_trans";
	//mostrar boton start
	$("boton_start").className="visible_trans";
	printID('salida_juego','<br><iframe width="250px" height="250px" id="ifrad" src="http://firefoxosworld.net/firefoxosworld3.html" scrolling="no"></iframe><br><br>HAS RESUELTO CORRECTAMENTE <span class="letra_grande">'+ correctas+ '</span> OPERACIONES<br><br> Y HAS FALLADO EN <span class="letra_grande">'+incorrectas+'</span> OPERACIONES<br><br>'+frase+'<br><br>');
}
function operacion(){
//dificultad 1..4
//sumas o restas tipooperador 0,1,2
//tipo de impresion tipo_numeros 0..1 no es relevante esta variable aqui
	if (dificultad=='1'){
		operando1=aleatorioInt(1,9);
		operando2=aleatorioInt(1,9);
		//si es una resta no vamos a dejar numeros negativos
		if ((tipooperador==1)||((tipooperador==2) && (aleatorioInt(0,1)==1))){
		while(operando1<operando2){
			operando2=aleatorioInt(1,9);
		}
		}
	}
	else if(dificultad=='2'){
		operando2=aleatorioInt(1,20);
		operando1=aleatorioInt(1,20);
		//si es una resta no vamos a dejar numeros negativos
		if ((tipooperador==1)||((tipooperador==2) && (aleatorioInt(0,1)==1))){
		while(operando1<operando2){
			operando2=aleatorioInt(1,20);
		}
		}
	}
	else if(dificultad=='3'){
		operando2=aleatorioInt(-100,100)
		operando1=aleatorioInt(0,100);
		//si es una resta no vamos a dejar numeros negativos
		if ((tipooperador==1)||((tipooperador==2) && (aleatorioInt(0,1)==1))){
		while(operando1<operando2){
			operando2=aleatorioInt(0,100);
		}
		}
	}
	else if(dificultad=='4'){
		operando2=aleatorioInt(-1000,1000);
		operando1=aleatorioInt(0,1000);
		//si es una resta no vamos a dejar numeros negativos
		if ((tipooperador==1)||((tipooperador==2) && (aleatorioInt(0,1)==1))){
		while(operando1<operando2){
			operando2=aleatorioInt(0,1000);
		}
		}
	}
	//signo cuando son restas
	if ((tipooperador==1)||((tipooperador==2) && (aleatorioInt(0,1)==1))){
		operando2=0-operando2;
	}
	//alert(operando1+' '+operador+' ' +operando2)
}
function imprime(cosa){
	definitivo='&nbsp<div class="letra_grande">' + cosa + '</div>&nbsp;';
	printID('salida_juego',definitivo);
}
function rutaImg(){
	var ruta_img='';
		//ruta de img aleatoria
		switch(aleatorioInt(1,5)){
			case 1:ruta_img='<img src="../img/tres_cerditos/cerdo_cabeza.png" class="imagen_suma">';break;
			case 2:ruta_img='<img src="../img/caperucita_roja/mini_cap.png" class="imagen_suma">';break;
			case 3:ruta_img='<img src="../img/patito_feo/mini_pat.png" class="imagen_suma">';break;
			case 4:ruta_img='<img src="../img/ratoncito/mini_raton.png" class="imagen_suma">';break;
			case 5:ruta_img='<img src="../img/siete_cabritos/mini_cabritos.jpg" class="imagen_suma">';break;
		}
	return ruta_img;
}
function imprimeOperacion(a,b,tipo_numeros){
	
	var html_imprimir=''
	if (tipo_numeros==0){
		for (i=0;i<a;i++){			
			html_imprimir+=rutaImg();
		}
		html_imprimir+='&nbsp<div class="letra_grande">+</div>&nbsp;';
		for (i=0;i<b;i++){
			html_imprimir+=rutaImg();
		}
		
	}else{
	
	if (b<0){
		b=Math.abs(b);
		html_imprimir='&nbsp;&nbsp;&nbsp;'+a +'<br>- ' + b;	
	}else{
		html_imprimir='&nbsp;&nbsp;&nbsp;'+a +'<br>+ ' + b;	
	}
	}
	$("respuesta").className="visible_trans";
	printID('salida_juego','<span class="letra_grande">'+html_imprimir+'</span><br>');
}
	
function iniciar(){
		$("respuesta").className="oculto";
		//banderas[0]=0;//ocultamos boton inicio
		$("boton_start").className="oculto_trans";
		//mostrar dificultad del juego
		imprime_dificultad();
		window.setTimeout(iniciar2,2000);
		//despues de unos segundos comienza el juego
		
}


			


		
		
		